AccessibleAttributeSequence (Java SE 11 & JDK 11 )
Keywords: javax.accessibility.AccessibleAttributeSequence class

Module java.desktop
Package javax.accessibility

## Class AccessibleAttributeSequence

- java.lang.Object
- - javax.accessibility.AccessibleAttributeSequence

-     public class AccessibleAttributeSequence
      extends Object

  This class collects together the span of text that share the same contiguous set of attributes, along with that set of attributes. It is used by implementors of the class `AccessibleContext` in order to generate `ACCESSIBLE_TEXT_ATTRIBUTES_CHANGED` events.
  See Also:
    `AccessibleContext`, `AccessibleContext.ACCESSIBLE_TEXT_ATTRIBUTES_CHANGED`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `AttributeSet` | `attributes` | The text attributes.
    `int` | `endIndex` | The end index of the text sequence.
    `int` | `startIndex` | The start index of the text sequence.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AccessibleAttributeSequence​(int start, int end, AttributeSet attr)` | Constructs an `AccessibleAttributeSequence` with the given parameters.

  - ### Method Summary

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### startIndex

          public int startIndex

      The start index of the text sequence.

    - #### endIndex

          public int endIndex

      The end index of the text sequence.

    - #### attributes

          public AttributeSet attributes

      The text attributes.

  - ### Constructor Detail

    - #### AccessibleAttributeSequence

          public AccessibleAttributeSequence​(int start,
                                             int end,
                                             AttributeSet attr)

      Constructs an `AccessibleAttributeSequence` with the given parameters.
      Parameters:
        `start` - the beginning index of the span of text
        `end` - the ending index of the span of text
        `attr` - the `AttributeSet` shared by this text span
      Since:
        1.6